Subject: [netatalk-admins] Routing between LocalTalk and EtherTalk

From: Patrik Schindler <[email-masked]>
Date: Thu, 5 Mar 1998 19:39:08 +0100

Hi,

I've a known issue of a routing failure between LocalTalk and EtherTalk:

>From EtherTalk, I can see all LocalTalk devices, but there's no real data exchange, I get timeout-messages indicating this if I will print to a printer or make an afp connection to a FileSharing machine.
>From LocalTalk I cannot see any device on EtherTalk.

I use the LocalTalk driver from Bradford W. Johnson <[email-masked]> which works well now. Communications between the Linux Box and LocalTalk devices work very fine!

A few lines to my setup:

leela:/root # cat /proc/version
Linux version 2.0.33 ([email-masked]) (gcc version 2.7.2) #5 Sun Feb 1 11:56:24 MET 1998

leela:/root # cat /usr/local/etc/atalkd.conf
eth0 -seed -phase 2 -net 13-20 -addr 19.1 -zone "Ether"
ltalk0 -seed -phase 1 -net 21 -addr 21.1 -zone "Local"

leela:/root # nbplkup
                      QMS-Spool:LaserWriter                        21.1:129
                          leela:AFPServer                          21.1:130
                 Laser bei Nebe:LaserWriter                        21.1:128
                          leela:netatalk                           21.1:4
                          leela:Workstation                        21.1:4
                       powermac:  Power Macintosh                  16.1:252
                       powermac:Workstation                        16.1:4
leela:/root # nbplkup @Local
                     QMS-PS 410:LaserWriter                        21.176:128

leela:/root #  cat /proc/net/atalk_iface
Interface         Address   Networks   Status
ltalk0           0015:01  0015-0015  0
eth0             0013:01  000D-0014  0
lo               0000:00  0000-0000  0

leela:/root # cat /proc/net/atalk_route
Target        Router  Flags Dev
0015:01     0000:00  5     lo
0015:00     0015:01  1     ltalk0
0013:01     0000:00  5     lo
0014:00     0013:01  1     eth0
0013:00     0013:01  1     eth0
0012:00     0013:01  1     eth0
0011:00     0013:01  1     eth0
0010:00     0013:01  1     eth0
000F:00     0013:01  1     eth0
000E:00     0013:01  1     eth0
000D:00     0013:01  1     eth0
0000:00     0000:00  5     lo

I do now know much about AppleTalk routing, but why will 15:01 go via lo?
I shut down lo to correct the routes:

leela:/root # cat /proc/net/atalk_route
Target        Router  Flags Dev
0015:00     0015:01  1     ltalk0
0014:00     0013:01  1     eth0
0013:00     0013:01  1     eth0
0012:00     0013:01  1     eth0
0011:00     0013:01  1     eth0
0010:00     0013:01  1     eth0
000F:00     0013:01  1     eth0
000E:00     0013:01  1     eth0
000D:00     0013:01  1     eth0

But I cannot send data to LocalTalk devices.

Who can help me? I worked around this with printing over a papd-spooler, but this is not possible with HP DeskWriter.

:wq! PoC